## libqtgtl 0.9.0

=== CMakeLists.txt ===
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

find_package(Qt4 REQUIRED)


set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/)
set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include/)
set(BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin/)

set(QTGTL_VERSION 0.9.0)
set(QTGTL_LIB_VERSION ${QTGTL_VERSION})
set(QTGTL_LIB_SOVERSION "0.0")

set(QTSHIVA_VERSION ${QTGTL_VERSION})
set(QTSHIVA_LIB_VERSION ${QTGTL_VERSION})
set(QTSHIVA_LIB_SOVERSION ${QTGTL_LIB_SOVERSION})

cmake_minimum_required(VERSION 2.6)

include_directories( ${CMAKE_CURRENT_SOURCE_DIR} )

add_subdirectory( examples )
add_subdirectory( QtShiva )
add_subdirectory( QtGTL )

=== QtGTL/CMakeLists.txt ===

find_package(GTLCore REQUIRED)

include_directories(${QT_QTGUI_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${GTLCORE_INCLUDE_DIR})

############################### libQtShiva ###############################

set(libQtGTL_SRCS
    QImageBuffer.cpp
    QImageImage.cpp
  )

qt4_automoc(${libQtShiva_SRCS})

add_library(QtGTL SHARED ${libQtGTL_SRCS})
target_link_libraries(QtGTL ${QT_QTGUI_LIBRARY} ${OPENSHIVA_LIBRARIES} )

install(TARGETS QtGTL DESTINATION ${LIB_INSTALL_DIR} )
install( FILES QImageBuffer.h QImageImage.h DESTINATION ${INCLUDE_INSTALL_DIR}/QtGTL )

# Set the ABI version of the library
set_target_properties(QtGTL PROPERTIES VERSION ${QTGTL_LIB_VERSION} SOVERSION ${QTGTL_LIB_SOVERSION} )

# Create and install pc file
configure_file("QtGTL.pc.cmake" "${CMAKE_CURRENT_BINARY_DIR}/QtGTL.pc" @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/QtGTL.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)

=== QtShiva/CMakeLists.txt ===

find_package(OpenShiva REQUIRED)

include_directories(${QT_QTGUI_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${OPENSHIVA_INCLUDE_DIR})

############################### libQtShiva ###############################

set(libQtShiva_SRCS
  KernelParametersWidget.cpp
  ParametersWidgetBase.cpp
  SourceParametersWidget.cpp
# Private
  ColorButton_p.cpp
  ColorConversions_p.cpp
  ParametersWidgetBase_p.cpp
  SpinBoxSliderConnector_p.cpp
  TriangleColorSelector_p.cpp
  RgbaDialog_p.cpp
  Proxy_p.cpp
  )

qt4_wrap_ui(libQtShiva_SRCS UiRgbaDialog.ui)

qt4_automoc(${libQtShiva_SRCS})

add_library( QtShiva SHARED ${libQtShiva_SRCS})
target_link_libraries( QtShiva ${QT_QTGUI_LIBRARY} ${OPENSHIVA_LIBRARIES} )

install(TARGETS QtShiva DESTINATION ${LIB_INSTALL_DIR} )
install( FILES ParametersWidgetBase.h KernelParametersWidget.h SourceParametersWidget.h DESTINATION ${INCLUDE_INSTALL_DIR}/QtShiva )

# Set the ABI version of the library
set_target_properties(QtShiva PROPERTIES VERSION ${QTSHIVA_LIB_VERSION} SOVERSION ${QTSHIVA_LIB_SOVERSION} )

# Create and install pc file
configure_file("QtShiva.pc.cmake" "${CMAKE_CURRENT_BINARY_DIR}/QtShiva.pc" @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/QtShiva.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)

=== examples/QtShiva/CMakeLists.txt ===

find_package(OpenShiva REQUIRED)

set(BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin)

message(STATUS ${OPENSHIVA_INCLUDE_DIR})

include_directories(${QT_QTGUI_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${OPENSHIVA_INCLUDE_DIR})


message(STATUS ${OPENSHIVA_INCLUDE_DIR})

## QtShiva

set(Qt_SHIVA_SRCS QtShiva.cpp main.cpp )


qt4_wrap_ui(Qt_SHIVA_SRCS MainWindow.ui)

qt4_automoc(${Qt_SHIVA_SRCS})

add_executable(qShiva ${Qt_SHIVA_SRCS} )
target_link_libraries(qShiva ${QT_LIBRARY_DIR} ${QT_QTGUI_LIBRARY} ${OPENSHIVA_LIBRARIES} QtGTL QtShiva)
# install(TARGETS QtShiva DESTINATION ${BIN_INSTALL_DIR} )

## libqtgtl 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include/)
 set(BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin/)
 
-set(QTGTL_VERSION 0.9.0)
+set(QTGTL_VERSION 0.9.1)
 set(QTGTL_LIB_VERSION ${QTGTL_VERSION})
-set(QTGTL_LIB_SOVERSION "0.0")
+set(QTGTL_LIB_SOVERSION "0.1")
 
 set(QTSHIVA_VERSION ${QTGTL_VERSION})
 set(QTSHIVA_LIB_VERSION ${QTGTL_VERSION})

=== QtShiva/CMakeLists.txt ===
--- 
+++ 
@@ -17,9 +17,10 @@
   TriangleColorSelector_p.cpp
   RgbaDialog_p.cpp
   Proxy_p.cpp
+  VectorEditor_p.cpp
   )
 
-qt4_wrap_ui(libQtShiva_SRCS UiRgbaDialog.ui)
+qt4_wrap_ui(libQtShiva_SRCS UiRgbaDialog.ui UiVectorEditor.ui )
 
 qt4_automoc(${libQtShiva_SRCS})

=== examples/QtCTL/CMakeLists.txt ===

find_package(OpenCTL REQUIRED)

set(BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin)

message(STATUS ${OPENCTL_INCLUDE_DIR})

include_directories(${QT_QTGUI_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${OPENCTL_INCLUDE_DIR})


message(STATUS ${OPENCTL_INCLUDE_DIR})

## QtCTL

set(Qt_CTL_SRCS QtCTL.cpp main.cpp )


qt4_wrap_ui(Qt_CTL_SRCS MainWindow.ui)

qt4_automoc(${Qt_CTL_SRCS})

add_executable(qCTL ${Qt_CTL_SRCS})
# set_target_properties( QtCTL PROPERTIES COMPILE_FLAGS ${OPENCTL_COMPILE_FLAGS})
target_link_libraries(qCTL ${QT_LIBRARY_DIR} ${QT_QTGUI_LIBRARY} ${OPENCTL_LIBRARIES} QtGTL)
# install(TARGETS QtCTL DESTINATION ${BIN_INSTALL_DIR} )

=== debian/changelog ===
libqtgtl (0.9.1-0ubuntu5) oneiric; urgency=low

  * Update symbols file to fix FTBFS. (LP: #766009)
  * don't include debian/libqtgtl0.substvars in diff.
  * Fix extended-description-line-too-long
  * Update standards version

 -- Andreas Moog <amoog@ubuntu.com>  Sun, 26 Jun 2011 16:33:15 +0000

libqtgtl (0.9.1-0ubuntu4) natty; urgency=low

  * Fix .symbols files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 15 Jan 2011 01:24:04 +0000

libqtgtl (0.9.1-0ubuntu3) maverick; urgency=low

  * Add kubuntu_01_linking.diff to make libraries link against all their
    dependencies

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 06 Aug 2010 14:51:44 +0100

libqtgtl (0.9.1-0ubuntu2) maverick; urgency=low

  * Update libqtgtl0.1.symbols for amd64

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Jun 2010 10:43:26 +0100

libqtgtl (0.9.1-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Use source format 3.0
  * Add .symbols files
  * Split into separate packages for the two libraries
  * Use 0.1 suffix for libraries to match soname

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Jun 2010 13:05:41 +0100

libqtgtl (0.9.0-0ubuntu1) lucid; urgency=low

  * Initial release

 -- Richard A. Johnson <nixternal@ubuntu.com>  Wed, 13 Jan 2010 01:58:07 -0600

=== debian/control ===
Source: libqtgtl
Priority: extra
Section: devel
Maintainer: Richard A. Johnson <nixternal@ubuntu.com>
Build-Depends: debhelper (>= 7), cmake, libqt4-dev, opengtl-dev (>= 0.9.14), pkg-config
Standards-Version: 3.9.2
Homepage: http://www.opengtl.org/

Package: libqtgtl-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtgtl0.1 (= ${binary:Version}),
 libqtshiva0.1 (= ${binary:Version})
Description: Development files for Qt interfaces to OpenGTL
 libQtGTL is a library that provides widgets and classes to interface Qt-based
 applications with OpenGTL (Graphics Transformation Language).
 .
 This package contains development files for libQtGTL.

Package: libqtgtl0.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libqtgtl0
Conflicts: libqtgtl0
Description: Library files for Qt Interfaces to OpenGTL
 libQtGTL is a library that provides widgets and classes to interface Qt-based
 applications with OpenGTL (Graphics Transformation Language).

Package: libqtshiva0.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libqtgtl0
Conflicts: libqtgtl0
Description: Library files for Qt Interfaces to OpenShiva
 libQtShiva is a library that provides widgets and classes to interface Qt-based
 applications with OpenShiva.
 .
 Shiva is a programming language intented to transform an image by applying a 
 kernel-like transformation.

=== debian/watch ===
version=3
http://opengtl.org/download/libQtGTL-(.*)\.tar\.bz2

## libqtgtl 0.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,16 @@
 set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include/)
 set(BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin/)
 
-set(QTGTL_VERSION 0.9.1)
+set(QTGTL_VERSION 0.9.2)
 set(QTGTL_LIB_VERSION ${QTGTL_VERSION})
 set(QTGTL_LIB_SOVERSION "0.1")
 
 set(QTSHIVA_VERSION ${QTGTL_VERSION})
 set(QTSHIVA_LIB_VERSION ${QTGTL_VERSION})
 set(QTSHIVA_LIB_SOVERSION ${QTGTL_LIB_SOVERSION})
+set(QTRIJN_VERSION ${QTGTL_VERSION})
+set(QTRIJN_LIB_VERSION ${QTGTL_VERSION})
+set(QTRIJN_LIB_SOVERSION ${QTGTL_LIB_SOVERSION})
 
 cmake_minimum_required(VERSION 2.6)
 
@@ -22,3 +25,9 @@
 add_subdirectory( examples )
 add_subdirectory( QtShiva )
 add_subdirectory( QtGTL )
+
+find_package(OpenRijn )
+
+if (OPENRIJN_FOUND)
+  add_subdirectory( QtRijn )
+endif (OPENRIJN_FOUND)

=== QtGTL/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 qt4_automoc(${libQtShiva_SRCS})
 
 add_library(QtGTL SHARED ${libQtGTL_SRCS})
-target_link_libraries(QtGTL ${QT_QTGUI_LIBRARY} ${OPENSHIVA_LIBRARIES} )
+target_link_libraries(QtGTL ${GTLCORE_LIBRARIES} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${OPENSHIVA_LIBRARIES} )
 
 install(TARGETS QtGTL DESTINATION ${LIB_INSTALL_DIR} )
 install( FILES QImageBuffer.h QImageImage.h DESTINATION ${INCLUDE_INSTALL_DIR}/QtGTL )

=== QtRijn/CMakeLists.txt ===

include_directories(${QT_QTGUI_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${OPENRIJN_INCLUDE_DIR})

############################### libQtRijn ###############################

set(libQtRijn_SRCS
  Brush.cpp
  Canvas.cpp
  Palette.cpp
  )

# qt4_wrap_ui(libQtRijn_SRCS .ui )

qt4_automoc(${libQtRijn_SRCS})

add_library( QtRijn SHARED ${libQtRijn_SRCS})
target_link_libraries( QtRijn ${QT_QTGUI_LIBRARY} ${OPENRIJN_LIBRARIES} )

install(TARGETS QtRijn DESTINATION ${LIB_INSTALL_DIR} )
install( FILES Canvas.h Palette.h DESTINATION ${INCLUDE_INSTALL_DIR}/QtRijn )

# Set the ABI version of the library
set_target_properties(QtRijn PROPERTIES VERSION ${QTRIJN_LIB_VERSION} SOVERSION ${QTRIJN_LIB_SOVERSION} )

# Create and install pc file
configure_file("QtRijn.pc.cmake" "${CMAKE_CURRENT_BINARY_DIR}/QtRijn.pc" @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/QtRijn.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)

=== QtShiva/CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 qt4_automoc(${libQtShiva_SRCS})
 
 add_library( QtShiva SHARED ${libQtShiva_SRCS})
-target_link_libraries( QtShiva ${QT_QTGUI_LIBRARY} ${OPENSHIVA_LIBRARIES} )
+target_link_libraries( QtShiva ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${OPENSHIVA_LIBRARIES} )
 
 install(TARGETS QtShiva DESTINATION ${LIB_INSTALL_DIR} )
 install( FILES ParametersWidgetBase.h KernelParametersWidget.h SourceParametersWidget.h DESTINATION ${INCLUDE_INSTALL_DIR}/QtShiva )

=== examples/QtCTL/CMakeLists.txt ===
--- 
+++ 
@@ -21,5 +21,5 @@
 
 add_executable(qCTL ${Qt_CTL_SRCS})
 # set_target_properties( QtCTL PROPERTIES COMPILE_FLAGS ${OPENCTL_COMPILE_FLAGS})
-target_link_libraries(qCTL ${QT_LIBRARY_DIR} ${QT_QTGUI_LIBRARY} ${OPENCTL_LIBRARIES} QtGTL)
+target_link_libraries(qCTL ${QT_LIBRARY_DIR} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY}  ${OPENCTL_LIBRARIES} QtGTL)
 # install(TARGETS QtCTL DESTINATION ${BIN_INSTALL_DIR} )

=== examples/QtShiva/CMakeLists.txt ===
--- 
+++ 
@@ -20,5 +20,5 @@
 qt4_automoc(${Qt_SHIVA_SRCS})
 
 add_executable(qShiva ${Qt_SHIVA_SRCS} )
-target_link_libraries(qShiva ${QT_LIBRARY_DIR} ${QT_QTGUI_LIBRARY} ${OPENSHIVA_LIBRARIES} QtGTL QtShiva)
+target_link_libraries(qShiva ${QT_LIBRARY_DIR} ${QT_QTGUI_LIBRARY} ${OPENSHIVA_LIBRARIES} ${QT_QTCORE_LIBRARY} QtGTL QtShiva)
 # install(TARGETS QtShiva DESTINATION ${BIN_INSTALL_DIR} )

=== debian/changelog ===
libqtgtl (0.9.2-0ubuntu2) quantal; urgency=low

  * Update symbols files to fix FTBFS

 -- Scott Kitterman <scott@kitterman.com>  Wed, 26 Sep 2012 23:02:09 -0400

libqtgtl (0.9.2-0ubuntu1) precise; urgency=low

  * New upstream release
  * Remove kubuntu_01_linking.diff now upstream
  * Use opengtl-dev > 0.9.16

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 12 Mar 2012 16:14:51 +0000

libqtgtl (0.9.1-0ubuntu6) precise; urgency=low

  * Switch to debhelper compat level v9.
  * Convert to multiarch.
  * Rename libqtgtl.symbols to libqtgtl0.1.symbols so it is actually used.
  * Use the pkgkde_symbolshelper dh addon.
  * Update symbols files.
  * Enable parallel building.
  * Pass --fail-missing to dh_install.
  * Set maintainer to "Ubuntu Developers".
  * Fix watch file.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 19 Jan 2012 12:52:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,20 @@
 Source: libqtgtl
-Priority: extra
+Priority: optional
 Section: devel
-Maintainer: Richard A. Johnson <nixternal@ubuntu.com>
-Build-Depends: debhelper (>= 7), cmake, libqt4-dev, opengtl-dev (>= 0.9.14), pkg-config
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Build-Depends: debhelper (>= 8.9.0~),
+ pkg-kde-tools,
+ cmake,
+ libqt4-dev,
+ opengtl-dev (>= 0.9.16),
+ pkg-config
 Standards-Version: 3.9.2
 Homepage: http://www.opengtl.org/
 
 Package: libqtgtl-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqtgtl0.1 (= ${binary:Version}),
  libqtshiva0.1 (= ${binary:Version})
 Description: Development files for Qt interfaces to OpenGTL
@@ -20,6 +26,8 @@
 Package: libqtgtl0.1
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libqtgtl0
 Conflicts: libqtgtl0
@@ -30,6 +38,8 @@
 Package: libqtshiva0.1
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libqtgtl0
 Conflicts: libqtgtl0
@@ -39,4 +49,3 @@
  .
  Shiva is a programming language intented to transform an image by applying a 
  kernel-like transformation.
-

## libqtgtl 0.9.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 set(QTGTL_VERSION 0.9.2)
 set(QTGTL_LIB_VERSION ${QTGTL_VERSION})
-set(QTGTL_LIB_SOVERSION "0.1")
+set(QTGTL_LIB_SOVERSION "0.2")
 
 set(QTSHIVA_VERSION ${QTGTL_VERSION})
 set(QTSHIVA_LIB_VERSION ${QTGTL_VERSION})

=== QtGTL/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 find_package(GTLCore REQUIRED)
 
-include_directories(${QT_QTGUI_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${GTLCORE_INCLUDE_DIR})
+include_directories(${QT_QTGUI_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${GTLCORE_INCLUDE_DIRS})
 
 ############################### libQtShiva ###############################
 
@@ -13,7 +13,7 @@
 qt4_automoc(${libQtShiva_SRCS})
 
 add_library(QtGTL SHARED ${libQtGTL_SRCS})
-target_link_libraries(QtGTL ${GTLCORE_LIBRARIES} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${OPENSHIVA_LIBRARIES} )
+target_link_libraries(QtGTL ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${GTLCORE_LDFLAGS} )
 
 install(TARGETS QtGTL DESTINATION ${LIB_INSTALL_DIR} )
 install( FILES QImageBuffer.h QImageImage.h DESTINATION ${INCLUDE_INSTALL_DIR}/QtGTL )

=== QtRijn/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-include_directories(${QT_QTGUI_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${OPENRIJN_INCLUDE_DIR})
+include_directories(${QT_QTGUI_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${OPENRIJN_INCLUDE_DIRS})
 
 ############################### libQtRijn ###############################
 
@@ -14,7 +14,7 @@
 qt4_automoc(${libQtRijn_SRCS})
 
 add_library( QtRijn SHARED ${libQtRijn_SRCS})
-target_link_libraries( QtRijn ${QT_QTGUI_LIBRARY} ${OPENRIJN_LIBRARIES} )
+target_link_libraries( QtRijn ${QT_QTGUI_LIBRARY} ${OPENRIJN_LDFLAGS} )
 
 install(TARGETS QtRijn DESTINATION ${LIB_INSTALL_DIR} )
 install( FILES Canvas.h Palette.h DESTINATION ${INCLUDE_INSTALL_DIR}/QtRijn )

=== QtShiva/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 find_package(OpenShiva REQUIRED)
 
-include_directories(${QT_QTGUI_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${OPENSHIVA_INCLUDE_DIR})
+include_directories(${QT_QTGUI_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${OPENSHIVA_INCLUDE_DIRS})
 
 ############################### libQtShiva ###############################
 
@@ -25,7 +25,7 @@
 qt4_automoc(${libQtShiva_SRCS})
 
 add_library( QtShiva SHARED ${libQtShiva_SRCS})
-target_link_libraries( QtShiva ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${OPENSHIVA_LIBRARIES} )
+target_link_libraries( QtShiva ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${OPENSHIVA_LDFLAGS} )
 
 install(TARGETS QtShiva DESTINATION ${LIB_INSTALL_DIR} )
 install( FILES ParametersWidgetBase.h KernelParametersWidget.h SourceParametersWidget.h DESTINATION ${INCLUDE_INSTALL_DIR}/QtShiva )

=== examples/CMakeLists.txt ===
add_subdirectory( QtCTL )
add_subdirectory( QtShiva )

=== examples/QtCTL/CMakeLists.txt ===

find_package(OpenCTL REQUIRED)

set(BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin)

include_directories(${QT_QTGUI_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${OPENCTL_INCLUDE_DIRS})

## QtCTL

set(Qt_CTL_SRCS QtCTL.cpp main.cpp )


qt4_wrap_ui(Qt_CTL_SRCS MainWindow.ui)

qt4_automoc(${Qt_CTL_SRCS})

add_executable(qCTL ${Qt_CTL_SRCS})
# set_target_properties( QtCTL PROPERTIES COMPILE_FLAGS ${OPENCTL_COMPILE_FLAGS})
target_link_libraries(qCTL ${QT_LIBRARY_DIR} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY}  ${OPENCTL_LDFLAGS} QtGTL)
# install(TARGETS QtCTL DESTINATION ${BIN_INSTALL_DIR} )

=== examples/QtShiva/CMakeLists.txt ===

find_package(OpenShiva REQUIRED)

set(BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin)

message(STATUS ${OPENSHIVA_INCLUDE_DIR})

include_directories(${QT_QTGUI_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${OPENSHIVA_INCLUDE_DIRS})


message(STATUS ${OPENSHIVA_INCLUDE_DIR})

## QtShiva

set(Qt_SHIVA_SRCS QtShiva.cpp main.cpp )


qt4_wrap_ui(Qt_SHIVA_SRCS MainWindow.ui)

qt4_automoc(${Qt_SHIVA_SRCS})

add_executable(qShiva ${Qt_SHIVA_SRCS} )
target_link_libraries(qShiva ${QT_LIBRARY_DIR} ${QT_QTGUI_LIBRARY} ${OPENSHIVA_LDFLAGS} ${QT_QTCORE_LIBRARY} QtGTL QtShiva)
# install(TARGETS QtShiva DESTINATION ${BIN_INSTALL_DIR} )

=== debian/changelog ===
libqtgtl (0.9.3-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Add kubuntu_qtgtk_version.diff to fix library version
  * Change package names to version 0.2

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 27 Nov 2013 16:55:49 +0000

=== debian/control ===
--- 
+++ 
@@ -15,15 +15,15 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqtgtl0.1 (= ${binary:Version}),
- libqtshiva0.1 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqtgtl0.2 (= ${binary:Version}),
+ libqtshiva0.2 (= ${binary:Version})
 Description: Development files for Qt interfaces to OpenGTL
  libQtGTL is a library that provides widgets and classes to interface Qt-based
  applications with OpenGTL (Graphics Transformation Language).
  .
  This package contains development files for libQtGTL.
 
-Package: libqtgtl0.1
+Package: libqtgtl0.2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -35,7 +35,7 @@
  libQtGTL is a library that provides widgets and classes to interface Qt-based
  applications with OpenGTL (Graphics Transformation Language).
 
-Package: libqtshiva0.1
+Package: libqtshiva0.2
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3
http://opengtl.org/download/ \
  http://download.opengtl.org/libQtGTL-(.*)\.tar\.bz2
